Bug 104033 - Not possible to set LVM PE size in kickstart
Summary: Not possible to set LVM PE size in kickstart
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-09 08:40 UTC by Jos Vos
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 17:16:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:344 normal SHIPPED_LIVE Miscellaneous bugfixes available for anaconda installation program 2003-11-11 05:00:00 UTC

Description Jos Vos 2003-09-09 08:40:57 UTC
Description of problem:
It is currently not possible to set the LVM PE size in Anaconda.  This is needed
if you (later) want to use > 256 GB LV's in the volume group that is created at
installation time.

Comment 1 Jos Vos 2003-09-09 08:50:46 UTC
Simple to add, it seems: in partRequests.py, class VolumeGroupRequestSpec's
__init__ already has a pesize parameter, so in defineVolumeGroup (kickstart.py)
a --pesize=<number> for defining the PE size has to be added and passed to the
call of partRequests.VolumeGroupRequestSpec.

(This is nearly a patch, isn't it... ;-))

Comment 2 Jeremy Katz 2003-09-23 15:06:20 UTC
Added in CVS

Comment 3 Jay Turner 2004-01-16 17:16:21 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-344.html



Note You need to log in before you can comment on or make changes to this bug.